org.apache.hadoop.yarn.server.federation.store.records

## Class UpdateApplicationHomeSubClusterResponse

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.UpdateApplicationHomeSubClusterResponse

- Direct Known Subclasses:
    UpdateApplicationHomeSubClusterResponsePBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class UpdateApplicationHomeSubClusterResponse
      extends Object

  UpdateApplicationHomeSubClusterResponse contains the answer from the `FederationApplicationHomeSubClusterStore` to a request to register the home subcluster of a submitted application. Currently response is empty if the operation was successful, if not an exception reporting reason for a failure.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateApplicationHomeSubClusterResponse()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UpdateApplicationHomeSubClusterResponse` | `newInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateApplicationHomeSubClusterResponse

          public UpdateApplicationHomeSubClusterResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static UpdateApplicationHomeSubClusterResponse newInstance()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.